# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "safety-pass"
version = "0.3.0"
build = false
include = [
    "Cargo.toml",
    "clippy.toml",
    "LICENSE-MIT",
    "LICENSE-APACHE",
    "README.md",
    "src/*.rs",
    "tests/**/*.rs",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Compiler pass infrastructure for safety-net"
homepage = "https://matth2k.github.io/safety-pass/"
documentation = "https://matth2k.github.io/safety-pass/"
readme = "README.md"
keywords = [
    "data-structures",
    "eda",
    "netlist",
    "circuits",
    "hardware",
]
categories = [
    "data-structures",
    "compilers",
    "science",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/matth2k/safety-pass"

[features]
default = ["graph"]
graph = ["safety-net/graph"]
id = ["nl-compiler"]

[lib]
name = "safety_pass"
path = "src/lib.rs"

[[test]]
name = "pattern"
path = "tests/pattern.rs"

[[test]]
name = "pipeline"
path = "tests/pipeline.rs"

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.log]
version = "0.4.29"

[dependencies.nl-compiler]
version = "0.1.19"
optional = true

[dependencies.safety-net]
version = "0.7.0"

[dependencies.thiserror]
version = "2.0.16"
